Bug 1197238 - [abrt] pychess: CECPEngine.py:709:__parseLine:PlayerIsDead: ('=', u'the move is too short', 'rnbqkb1r/pppppppp/5n2/8/3P4/4P3/PPP2PPP/RNBQKBNR b KQkq - 0 2')
Summary: [abrt] pychess: CECPEngine.py:709:__parseLine:PlayerIsDead: ('=', u'the move ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pychess
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a4ec3e40c4aedfc557f4b57afef...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-27 22:04 UTC by peterdiver
Modified: 2015-12-02 17:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 09:33:01 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (834 bytes, text/plain)
2015-02-27 22:05 UTC, peterdiver
no flags Details
File: environ (1.08 KB, text/plain)
2015-02-27 22:05 UTC, peterdiver
no flags Details

Description peterdiver 2015-02-27 22:04:55 UTC
Version-Release number of selected component:
pychess-0.10.1-6.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python /usr/bin/pychess
executable:     /usr/bin/pychess
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
CECPEngine.py:709:__parseLine:PlayerIsDead: ('=', u'the move is too short', 'rnbqkb1r/pppppppp/5n2/8/3P4/4P3/PPP2PPP/RNBQKBNR b KQkq - 0 2')

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pychess/Players/CECPEngine.py", line 664, in parseLines
    self.__parseLine(line)
  File "/usr/lib/python2.7/site-packages/pychess/Players/CECPEngine.py", line 709, in __parseLine
    raise PlayerIsDead, e
PlayerIsDead: ('=', u'the move is too short', 'rnbqkb1r/pppppppp/5n2/8/3P4/4P3/PPP2PPP/RNBQKBNR b KQkq - 0 2')

Local variables in innermost frame:
line: '    move = parseAny (self.board, lines[1])\n'
parts: ['move', '=', 'parseAny', '(self.board,', 'lines[1])']
e: ParsingError('=', u'the move is too short', 'rnbqkb1r/pppppppp/5n2/8/3P4/4P3/PPP2PPP/RNBQKBNR b KQkq - 0 2')
self: PyChess 0.10.1
movestr: '='

Comment 1 peterdiver 2015-02-27 22:05:00 UTC
Created attachment 996207 [details]
File: backtrace

Comment 2 peterdiver 2015-02-27 22:05:02 UTC
Created attachment 996208 [details]
File: environ

Comment 3 Fedora End Of Life 2015-11-04 13:24:16 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-12-02 09:33:03 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.